### Hierarchy

- BaseAPI
  - FaucetsApi

### Implements

- FaucetsApiInterface

## Index

### Constructors

- constructor

### Properties

- configuration

### Methods

- request
- runFaucetBtc
- runFaucetBtcRaw
- runFaucetStx
- runFaucetStxRaw
- withMiddleware
- withPostMiddleware
- withPreMiddleware

## Constructors

### constructor

- new FaucetsApi(configuration?: Configuration ): FaucetsApi

- Inherited from BaseAPI.constructor

  - Defined in src/generated/runtime.ts:25

  #### Parameters

  - ##### configuration: Configuration = ...

  #### Returns FaucetsApi

## Properties

### Protected configuration

configuration: Configuration = ...

Inherited from BaseAPI.configuration

## Methods

### Protected request

- request(context: RequestOpts, initOverrides?: RequestInit): Promise<Response>

- Inherited from BaseAPI.request

  - Defined in src/generated/runtime.ts:47

  #### Parameters

  - ##### context: RequestOpts

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise<Response>

### runFaucetBtc

- runFaucetBtc(requestParameters: RunFaucetBtcRequest, initOverrides?: RequestInit): Promise< RunFaucetResponse >

- Implementation of FaucetsApiInterface.runFaucetBtc

  - Defined in src/generated/apis/FaucetsApi.ts:110

  Get BTC tokens for the testnet Get BTC tokens

  #### Parameters

  - ##### requestParameters: RunFaucetBtcRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< RunFaucetResponse >

### runFaucetBtcRaw

- runFaucetBtcRaw(requestParameters: RunFaucetBtcRequest, initOverrides?: RequestInit): Promise< ApiResponse < RunFaucetResponse >>

- Implementation of FaucetsApiInterface.runFaucetBtcRaw

  - Defined in src/generated/apis/FaucetsApi.ts:83

  Get BTC tokens for the testnet Get BTC tokens

  #### Parameters

  - ##### requestParameters: RunFaucetBtcRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < RunFaucetResponse >>

### runFaucetStx

- runFaucetStx(requestParameters: RunFaucetStxRequest, initOverrides?: RequestInit): Promise< RunFaucetResponse >

- Implementation of FaucetsApiInterface.runFaucetStx

  - Defined in src/generated/apis/FaucetsApi.ts:150

  Get STX tokens for the testnet Get STX tokens

  #### Parameters

  - ##### requestParameters: RunFaucetStxRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< RunFaucetResponse >

### runFaucetStxRaw

- runFaucetStxRaw(requestParameters: RunFaucetStxRequest, initOverrides?: RequestInit): Promise< ApiResponse < RunFaucetResponse >>

- Implementation of FaucetsApiInterface.runFaucetStxRaw

  - Defined in src/generated/apis/FaucetsApi.ts:119

  Get STX tokens for the testnet Get STX tokens

  #### Parameters

  - ##### requestParameters: RunFaucetStxRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < RunFaucetResponse >>

### withMiddleware

- withMiddleware<T>(...middlewares: Middleware []): T

- Inherited from BaseAPI.withMiddleware

  - Defined in src/generated/runtime.ts:31

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Parameters

  - ##### Rest ...middlewares: Middleware []

  #### Returns T

### withPostMiddleware

- withPostMiddleware<T>(...postMiddlewares: ((context: ResponseContext ) => Promise<void | Response>)[]): T

- Inherited from BaseAPI.withPostMiddleware

  - Defined in src/generated/runtime.ts:42

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Parameters

  - ##### Rest ...postMiddlewares: ((context: ResponseContext ) => Promise<void | Response>)[]

  #### Returns T

### withPreMiddleware

- withPreMiddleware<T>(...preMiddlewares: ((context: RequestContext ) => Promise<void | FetchParams >)[]): T

- Inherited from BaseAPI.withPreMiddleware

  - Defined in src/generated/runtime.ts:37

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Parameters

  - ##### Rest ...preMiddlewares: ((context: RequestContext ) => Promise<void | FetchParams >)[]

  #### Returns T

Generated using TypeDoc